Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action.hyperlinks
Class LocalAnchorHyperlinkProducerFactory.LocalAnchorHyperlinkProducer

    java.lang.Object
      com.jaspersoft.jasperserver.war.action.hyperlinks.LocalAnchorHyperlinkProducerFactory.LocalAnchorHyperlinkProducer

All Implemented Interfaces:
  net.sf.jasperreports.engine.export.JRHyperlinkProducer

Enclosing class:
  LocalAnchorHyperlinkProducerFactory

    protected class LocalAnchorHyperlinkProducerFactory.LocalAnchorHyperlinkProducer

extends java.lang.Object
implements net.sf.jasperreports.engine.export.JRHyperlinkProducer

Constructor Summary
`LocalAnchorHyperlinkProducerFactory.LocalAnchorHyperlinkProducer(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`protected java.lang.String` | `createAnchorURL(java.lang.String anchor, int page)`
`java.lang.String` | `getHyperlink(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalAnchorHyperlinkProducerFactory.LocalAnchorHyperlinkProducer

    public LocalAnchorHyperlinkProducerFactory.LocalAnchorHyperlinkProducer(javax.servlet.http.HttpServletRequest request,
                                                                            javax.servlet.http.HttpServletResponse response)

Method Detail

### getHyperlink

    public java.lang.String getHyperlink(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink)

  Specified by:
    `getHyperlink` in interface `net.sf.jasperreports.engine.export.JRHyperlinkProducer`

### createAnchorURL

    protected java.lang.String createAnchorURL(java.lang.String anchor,
                                               int page)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.